# WaitlistDiscountShopify

> The Shopify placement of a waitlist's discount code. Read access, waitlists toolset, MCP tool get_waitlist_discount_shopify.

**Access:** [Read](https://developer.missin.co.uk/get-started/authentication.md#access-levels)

## Variables

| Variable | Type | Required | Accepts | Description |
|---|---|---|---|---|
| `discountCodeId` | `UUID!` | yes |  | Checks for equality with the object’s `discountCodeId` field. |

## Call it

```bash curl
curl https://api.missin.co.uk/graphql/v1 \
  -H "Authorization: Bearer $MISSIN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"operationName":"WaitlistDiscountShopify","variables":{"discountCodeId":"00000000-0000-0000-0000-000000000000"},"extensions":{"persistedQuery":{"version":1,"sha256Hash":"4f97615c949c65bdb858022b6832ad60df94a9f0616aedda606654ea78883d65"}}}'
```

## Document

```graphql
query WaitlistDiscountShopify($discountCodeId: UUID!) { __typename allDiscountPlacementShopifies( condition: {discountCodeId: $discountCodeId} first: 1 ) { __typename nodes { __typename appliesOncePerCustomer id } } }
```

Source: https://developer.missin.co.uk/reference/waitlists/waitlist-discount-shopify
